#include "Image/RigParameter.hh"

using namespace MIP;
using namespace BIAS;
using namespace std;




int main (int argc, char* argv[])
{

  RigParameter Rparam;
  
  if (argc > 1){
    Rparam.ReadFromCMP(argv[1]);
    Rparam.SetLadybugCenters();

    for (unsigned int i = 0; i< Rparam.Calibration.size() ; i++)
      cout << "For camera " << i 
           << " rotation is" << Rparam.Rotation[i] 
           << " calibration is " << Rparam.Calibration[i]
           << " center is " << Rparam.Center[i] << endl;
  } else {
    cout << "usage: " << argv[0] << " <cmp-file> " << endl;
  }
  
  return 0;  
}
